Bug 169176 - yumex - ImportError: yumexClasses
yumex - ImportError: yumexClasses
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-23 21:29 EDT by John Ellson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-27 10:12:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2005-09-23 21:29:41 EDT
Description of problem:
yumex worked for me perhaps two days ago, but today I get:

root@ontap:~# yumex
Traceback (most recent call last):
  File "/usr/share/yumex/yumex.py", line 32, in ?
    from yumexClasses import *
ImportError: No module named yumexClasses
root@ontap:~#


Version-Release number of selected component (if applicable):
yumex-0.42-5.0.fc5
python-2.4.1-8

How reproducible:
100%

Steps to Reproduce:
1.yumex
2.
3.
  
Actual results:
Traceback (most recent call last):
  File "/usr/share/yumex/yumex.py", line 32, in ?
    from yumexClasses import *
ImportError: No module named yumexClasses


Expected results:


Additional info:
Comment 1 Tim Lauridsen 2005-09-24 02:16:14 EDT
I look like something is messed up.
Try removing yumex

rpm -e yumex (as root)

and

install again

yum install yumex (as root)


Comment 2 John Ellson 2005-09-24 08:34:09 EDT
Tried that before reporting.

I should note that I don't have python-2.4.1-8.i386 installed on this x86_64
box.  But I didn't break any expressed dependencies to removed it.

I noticed that mario@targetdevelopment.at mentions the same problem in
fedora-test-list@redhat.com
Comment 3 John Ellson 2005-09-24 08:48:13 EDT
Same problem with today's upgrade to python-2.4.1-10.x86_64
Comment 4 John Ellson 2005-09-24 10:46:26 EDT
Downgrading to python-2.4.1-2.x86_64 fixes the problem for me. (Observed first
by mario@targetdevelopment.at )
Comment 5 Peter Jones 2005-09-27 10:12:11 EDT
Should be fixed in rawhide with python-2.4.1-13

Note You need to log in before you can comment on or make changes to this bug.